Retrieve an External Connection
Return the details of an existing External Connection inside the ‘data’ attribute of the response.
GET
/
external_connections
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const externalConnection = await client.externalConnections.retrieve('1293384261075731499');
console.log(externalConnection.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
external_connection = client.external_connections.retrieve(
"1293384261075731499",
)
print(external_connection.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
externalConnection, err := client.ExternalConnections.Get(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", externalConnection.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.ExternalConnectionRetrieveParams;
import com.telnyx.sdk.models.externalconnections.ExternalConnectionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ExternalConnectionRetrieveResponse externalConnection = client.externalConnections().retrieve("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
external_connection = telnyx.external_connections.retrieve("1293384261075731499")
puts(external_connection)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$externalConnection = $client->externalConnections->retrieve(
'1293384261075731499'
);
var_dump($externalConnection);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections retrieve \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "1930241863466354012",
"record_type": "external_connection",
"external_sip_connection": "zoom",
"credential_active": false,
"active": false,
"created_at": "2022-06-29T19:23:59Z",
"updated_at": "2022-06-29T19:39:47Z",
"outbound": {
"outbound_voice_profile_id": "1911630617284445511"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Response
Successful response
Show child attributes
Show child attributes
Example:
{
"id": "1930241863466354012",
"record_type": "external_connection",
"external_sip_connection": "zoom",
"credential_active": false,
"active": false,
"created_at": "2022-06-29T19:23:59Z",
"updated_at": "2022-06-29T19:39:47Z",
"outbound": {
"outbound_voice_profile_id": "1911630617284445511"
}
}
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const externalConnection = await client.externalConnections.retrieve('1293384261075731499');
console.log(externalConnection.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
external_connection = client.external_connections.retrieve(
"1293384261075731499",
)
print(external_connection.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
externalConnection, err := client.ExternalConnections.Get(context.TODO(), "1293384261075731499")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", externalConnection.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.ExternalConnectionRetrieveParams;
import com.telnyx.sdk.models.externalconnections.ExternalConnectionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ExternalConnectionRetrieveResponse externalConnection = client.externalConnections().retrieve("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
external_connection = telnyx.external_connections.retrieve("1293384261075731499")
puts(external_connection)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$externalConnection = $client->externalConnections->retrieve(
'1293384261075731499'
);
var_dump($externalConnection);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections retrieve \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "1930241863466354012",
"record_type": "external_connection",
"external_sip_connection": "zoom",
"credential_active": false,
"active": false,
"created_at": "2022-06-29T19:23:59Z",
"updated_at": "2022-06-29T19:39:47Z",
"outbound": {
"outbound_voice_profile_id": "1911630617284445511"
}
}
}